FLANG

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Fortran::evaluate::ExpressionBase< RESULT > Class Template Reference

## Public Types
using | Result = RESULT

## Public Member Functions
template<typename A >
Derived & | operator= (const A &x)
template<typename A >
common::IfNoLvalue< Derived &, A > | operator= (A &&x)
std::optional< DynamicType > | GetType () const
int | Rank () const
std::string | AsFortran () const
llvm::raw_ostream & | AsFortran (llvm::raw_ostream &) const

## Static Public Member Functions
static Derived | Rewrite (FoldingContext &, Derived &&)

The documentation for this class was generated from the following files:

- include/flang/Evaluate/expression.h
- lib/Evaluate/expression.cpp
- lib/Evaluate/fold-implementation.h
- lib/Evaluate/formatting.cpp